Bug 397512 - Sent emails appear as "unread" in the "Sent" folder
Summary: Sent emails appear as "unread" in the "Sent" folder
Status: REOPENED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: GIT (master)
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-16 08:50 UTC by flyos
Modified: 2019-11-02 21:55 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
middle icon show such an "unread" mail, after manually flagging "read" (7.71 KB, image/png)
2019-11-02 21:55 UTC, Hans-Peter Jansen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description flyos 2018-08-16 08:50:49 UTC
When sending emails, the copy stored in the "Sent" folder is marked as "unread" (thus making the "Sent" folder marked in the folder list). It is needed to mark them as "unread" manually.

This is using Kmail 5.8.80 beta1 on openSUSE Leap 15 with the devel KDE repos activated. Previous to this version, the behaviour was to store the sent emails marked as "read, sent". Incidentally, note that the "sent" mark has also disappeared in the beta version.
Comment 1 Daniel Vrátil 2018-08-25 11:11:32 UTC
Thanks for the report. This should be fixed in the final KDE Applications 18.08 release (Kmail/Akonadi 5.9).

Please reopen this if you still see the problem on stable release.
Comment 2 flyos 2018-08-25 17:04:16 UTC
I can confirm it's fixed (though the "sent" flag is still missing as far as I can see?).
Comment 3 flyos 2018-08-26 19:35:20 UTC
Never mind, "Sent" seems to be set in newly sent messages. Must have been looking at old messages. Sorry for the noise!
Comment 4 Hans-Peter Jansen 2019-11-02 21:55:19 UTC
With kmail 5.12.2, *some* sent mails end up unread in the sent folder, akonadi postgres backend, with cyrus imap server (openSUSE 15.0).

There's no clear pattern visible, but just opening the mail doesn't help. Those mails need to be flagged "read" manually, and the state icon is different.
See attachment.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: openSUSE Tumbleweed 20191030
KDE Plasma Version: 5.17.1
KDE Frameworks Version: 5.63.0
Qt Version: 5.13.1
Comment 5 Hans-Peter Jansen 2019-11-02 21:55:31 UTC
Created attachment 123674 [details]
middle icon show such an "unread" mail, after manually flagging "read"